Table of Contents

Class: Connector | Twisted-0.17.4/twisted/internet/tcp.py
--- | ---

Connect a protocol to a server using TCP and if it fails make a new one.

Methods |
--- | ---
__init__ connectionFailed connectionLost getProtocol startConnecting
| __init__

    __init__ (
            self,
            host,
            portno,
            protocolFactory,
            timeout=30,
            )

| connectionFailed

    connectionFailed ( self )

| connectionLost

    connectionLost ( self )

| getProtocol

    getProtocol ( self )

Get the current protocol instance.

| startConnecting

    startConnecting ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0